Show / Hide Table of Contents

# Class OwnedStdString

An address wrapper around the StdString class.

##### Inheritance

System.Object
OwnedStdString

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Libc

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class OwnedStdString : IDisposable

### Properties

| Improve this Doc View Source

#### Address

Gets the address of the std string.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Dispose()

Dispose of managed and unmanaged resources.

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Dispose(Boolean)

Dispose of managed and unmanaged resources.

##### Declaration

    public void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing | A value indicating whether this was called via Dispose or finalized.

| Improve this Doc View Source

#### Finalize()

Finalizes an instance of the OwnedStdString class.

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### Read()

Read the wrapped StdString.

##### Declaration

    public StdString Read()

##### Returns

Type | Description
--- | ---
StdString | The StdString.

### Implements

System.IDisposable